using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace WCS.Entity.Protocol.SRM
{
    /// <summary>
    ///  堆垛机DB520
    /// </summary>
    public interface ISRM520 : IProtocol
    {
        /// <summary>
        ///  备用
        /// </summary>
        [Description("备用")]
        short Res1 { get; set; }

        /// <summary>
        ///  备用
        /// </summary>
        [Description("备用")]
        short Res2 { get; set; }

        /// <summary>
        ///  备用
        /// </summary>
        [Description("备用")]
        short Res3 { get; set; }

        /// <summary>
        ///  货物类型
        /// </summary>
        [Description("货物类型")]
        short GoodsType { get; set; }

        /// <summary>
        ///  运行速度
        /// </summary>
        [Description("运行速度")]
        SrmRunSpeedEnum RunSpeed { get; set; }

        /// <summary>
        ///  任务起始行
        /// </summary>
        [Description("任务起始行")]
        short SLine { get; set; }

        /// <summary>
        ///  任务起始列
        /// </summary>
        [Description("任务起始列")]
        short SCol { get; set; }

        /// <summary>
        ///  任务起始层
        /// </summary>
        [Description("任务起始层")]
        short SLayer { get; set; }

        /// <summary>
        ///  任务起始深度
        /// </summary>
        [Description("任务起始深度")]
        ForkPosition SDepth { get; set; }

        /// <summary>
        ///  任务目标行
        /// </summary>
        [Description("任务目标行")]
        short ELine { get; set; }

        /// <summary>
        ///  任务目标列
        /// </summary>
        [Description("任务目标列")]
        short ECol { get; set; }

        /// <summary>
        ///  任务目标层
        /// </summary>
        [Description("任务目标层")]
        short ELayer { get; set; }

        /// <summary>
        ///  任务目标深度
        /// </summary>
        [Description("任务目标深度")]
        ForkPosition EDepth { get; set; }

        /// <summary>
        ///  任务号
        /// </summary>
        [Description("任务号")]
        int TaskNumber { get; set; }

        /// <summary>
        ///  凭证号
        /// </summary>
        [Description("凭证号")]
        short VoucherNo { get; set; }

        /// <summary>
        ///  完成任务确认清除信号
        /// </summary>
        [Description("完成任务确认清除信号")]
        short OkAck { get; set; }

        /// <summary>
        ///  任务类型
        /// </summary>
        [Description("任务类型")]
        SrmTaskTypeEnum TaskType { get; set; }

        /// <summary>
        ///  指令类型
        /// </summary>
        [Description("指令类型")]
        short Cmd { get; set; }

    }
}
